METASOURCES = AUTO

AM_CPPFLAGS = $(KOPETE_INCLUDES) $(all_includes)

kde_module_LTLIBRARIES = kopete_translator.la kcm_kopete_translator.la

kopete_translator_la_SOURCES     = translatorplugin.cpp  \
    translatordialog.cpp translatorguiclient.cpp translatorlanguages.cpp
kopete_translator_la_LDFLAGS     = -module -no-undefined $(KDE_PLUGIN) $(all_libraries) $(LIB_QT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor
kopete_translator_la_LIBADD      = ../../libkopete/libkopete.la $(LIB_TDEIO)

kcm_kopete_translator_la_SOURCES = translatorprefsbase.ui translatorprefs.cpp translatorlanguages.cpp
kcm_kopete_translator_la_LDFLAGS = -module -no-undefined $(KDE_PLUGIN) $(all_libraries) $(LIB_QT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor
kcm_kopete_translator_la_LIBADD  = ../../libkopete/libkopete.la $(LIB_TDEUTILS)

service_DATA = kopete_translator.desktop
servicedir = $(kde_servicesdir)

kcm_DATA = kopete_translator_config.desktop
kcmdir = $(kde_servicesdir)/tdeconfiguredialog

mydatadir = $(kde_datadir)/kopete_translator
mydata_DATA = translatorui.rc translatorchatui.rc


